# t-pcirc4.d
# Circle fitting to this test data should give the following result.
#
# Circle fitting of t-pcirc4.d
#   PS file: t-pcirc4.ps
#    N     X0         Y0         R          k          SSE
#   4    0.000      0.000      1.005      0.000      0.04010  
#
# Note that the radius R of the fitted circle is slightly larger than
# the optimal value of 1. This case illustrates that the algebraic
# Taubin method adopted by pcirc is less accurate than the geometric
# methods. Nevertheless, the former algorithm is simpler and accurate
# enough for at least paleomagnetic purposes.
#
# x    y
 1.1  0.0
 0.0  0.9
-1.1  0.0
 0.0 -0.9
