#include "pstat.h"

#define MAPTXT	" -Jx1 -R-4.5/0/0/26"
#define XYT	" -X-6 -Y-13.5"
#define CNTF	"0.0 15.2 9p,Courier,black RB Im= %5.1f   Dm= %5.1f\n\
0.0 14.8 9p,Courier,black RB a95= %5.1f\n\
0.0 14.4 9p,Courier,black RB R=%6.3f    k=%6.1f\n\
0.0 14.0 9p,Courier,black RB S= %5.1f\n\
0.0 13.6 9p,Courier,black RB St= %5.1f   Sw= %5.1f\n"
#define CNTFNS	"0.0 20.0 9p,Courier,black RB It= %5.1f    Dt= %5.1f\n\
0.0 19.6 9p,Courier,black RB a95t= %5.1f\n\
0.0 19.2 9p,Courier,black RB Rt=%6.3f    kt=%6.1f\n\
0.0 18.8 9p,Courier,black RB S = %5.1f\n\
0.0 18.4 9p,Courier,black RB St= %5.1f    Sw= %5.1f\n\
0.0 17.6 9p,Courier,black RB In= %5.1f    Dn= %5.1f\n\
0.0 17.2 9p,Courier,black RB a95n= %5.1f\n\
0.0 16.8 9p,Courier,black RB Rn=%6.3f    kn=%6.1f\n\
0.0 16.4 9p,Courier,black RB S = %5.1f\n\
0.0 16.0 9p,Courier,black RB St= %5.1f    Sw= %5.1f\n\
0.0 15.2 9p,Courier,black RB Is= %5.1f    Ds= %5.1f\n\
0.0 14.8 9p,Courier,black RB a95s= %5.1f\n\
0.0 14.4 9p,Courier,black RB Rs=%6.3f    ks=%6.1f\n\
0.0 14.0 9p,Courier,black RB S = %5.1f\n\
0.0 13.6 9p,Courier,black RB St= %5.1f    Sw= %5.1f\n"
#define CNTV	"0.0 2.8 9p,Courier,black RB N=    %2d   N0=    %2d\n\
0.0 2.4 9p,Courier,black RB Plat= %5.1f Plon= %5.1f\n\
0.0 2.0 9p,Courier,black RB A95= %5.1f\n\
0.0 1.6 9p,Courier,black RB R=%6.3f    k=%6.1f\n\
0.0 1.2 9p,Courier,black RB S = %5.1f   St= %5.1f\n\
0.0 0.8 9p,Courier,black RB Sw= %5.1f   Nw= %5.1f\n\
0.0 0.4 9p,Courier,black RB Slat= %5.1f Slon= %5.1f\n\
0.0 0.0 9p,Courier,black RB NPlat=%5.1f NPlon=%5.1f\n"
#define CNTVNS	"0.0 8.8 9p,Courier,black RB N=    %2d    N0=    %2d\n\
0.0 8.4 9p,Courier,black RB Platt= %5.1f Plont= %5.1f\n\
0.0 8.0 9p,Courier,black RB A95t= %5.1f\n\
0.0 7.6 9p,Courier,black RB Rt=%6.3f    kt=%6.1f\n\
0.0 7.2 9p,Courier,black RB S = %5.1f    St= %5.1f\n\
0.0 6.8 9p,Courier,black RB Sw= %5.1f    Nw= %5.1f\n\
0.0 6.0 9p,Courier,black RB Nn= %5d\n\
0.0 5.6 9p,Courier,black RB Platn= %5.1f Plonn= %5.1f\n\
0.0 5.2 9p,Courier,black RB A95n= %5.1f\n\
0.0 4.8 9p,Courier,black RB Rn=%6.3f    kn=%6.1f\n\
0.0 4.4 9p,Courier,black RB S = %5.1f    St= %5.1f\n\
0.0 4.0 9p,Courier,black RB Sw= %5.1f    Nw= %5.1f\n\
0.0 3.2 9p,Courier,black RB Ns= %5d\n\
0.0 2.8 9p,Courier,black RB Plats= %5.1f Plons= %5.1f\n\
0.0 2.4 9p,Courier,black RB A95s= %5.1f\n\
0.0 2.0 9p,Courier,black RB Rs=%6.3f    ks=%6.1f\n\
0.0 1.6 9p,Courier,black RB S = %5.1f    St= %5.1f\n\
0.0 1.2 9p,Courier,black RB Sw= %5.1f    Nw= %5.1f\n\
0.0 0.4 9p,Courier,black RB Slat= %5.1f  Slon= %5.1f\n\
0.0 0.0 9p,Courier,black RB NPlat=%5.1f  NPlon=%5.1f\n"
#define TITLE	"0.0 24.5 14p,Helvetica-Bold,black RB %s\n\
0.0 24.2 10p,Helvetica-Bold,black RT (See \"%s.PST\" for details)\n"
#define NOTE	"0.0 -0.6 8p,Helvetica-Bold,black RT (S is around %s)\n"

extern char Buf[WBUF], **Group;
extern unsigned int Opt;
extern int Nsite, Nm, Nnm, Nsm;
extern double Im, Dm, Inm, Dnm, Ism, Dsm, Ipm, Dpm, Ipnm, Dpnm, Ipsm, Dpsm, Vtm, Vnm, Vnmr, \
		Vtnm, Vnnm, Vnnmr, Vtsm, Vnsm, Vnsmr, A95m, A95nm, A95sm, A95pm, A95pnm, \
		A95psm, A95vm, A95vnm, A95vsm, Rm, Rnm, Rsm, Rpm, Rpnm, Rpsm, Rvm, Rvnm, \
		Rvsm, Km, Knm, Ksm, Kpm, Kpnm, Kpsm, Kvm, Kvnm, Kvsm, Sltm, Slnm, Nplt, Npln;
extern double Nwm, Nwnm, Nwsm, Swm, Swnm, Swsm, Swvm, Swvnm, Swvsm, Sb, Sbn, Sbs, Sbp, \
		Sbpn, Sbps, Sbv, Sbvn, Sbvs, St, Stn, Sts, Stp, Stpn, Stps, Stv, Stvn, Stvs;

/* pst_text -- plot the result of statistics */

void pst_text(n)
int n;
{
	int i, j;

	if ( !(Opt & SEPARATE_NS) ){
		sprintf(Buf, CNTV, Nm, Nsite, Vtm, Vnm, A95vm, Rvm, Kvm, \
			Sbv, Stv, Swvm, Nwm, Sltm, Slnm, Nplt, Npln);
		wrt_tmp();
		sys_call(7, "gmt pstext ", FILET, MAPTXT, OPTF, XYT, " -N -P -O -K >>", FILEP);
		if ( !(Opt & AXIAL_DPF) )
			sprintf(Buf, CNTF, Im, Dm, A95m, Rm, Km, Sb, St, Swm);
		else
			sprintf(Buf, CNTF, Ipm, Dpm, A95pm, Rpm, Kpm, Sbp, Stp, Swm);
		wrt_tmp();
		sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
	}
	else {
		sprintf(Buf,CNTVNS,Nm,Nsite,Vtm,Vnm,A95vm,Rvm,Kvm,Sbv,Stv,Swvm,Nwm,\
			Nnm,Vtnm,Vnnm,A95vnm,Rvnm,Kvnm,Sbvn,Stvn,Swvnm,Nwnm,\
			Nsm,Vtsm,Vnsm,A95vsm,Rvsm,Kvsm,Sbvs,Stvs,\
			Swvsm,Nwsm,Sltm,Slnm,Nplt,Npln);
		wrt_tmp();
		sys_call(7, "gmt pstext ", FILET, MAPTXT, OPTF, XYT, " -N -P -O -K >>", FILEP);
		if ( !(Opt & AXIAL_DPF) )
			sprintf(Buf, CNTFNS, Im, Dm, A95m, Rm, Km, Sb, St, Swm, \
				Inm, Dnm, A95nm, Rnm, Knm, Sbn, Stn, Swnm, \
				Ism, Dsm, A95sm, Rsm, Ksm, Sbs, Sts, Swsm);
		else
			sprintf(Buf, CNTFNS, Ipm, Dpm, A95pm, Rpm, Kpm, Sbp, Stp, Swm, \
				Ipnm, Dpnm, A95pnm, Rpnm, Kpnm, Sbpn, Stpn, Swnm, \
				Ipsm, Dpsm, A95psm, Rpsm, Kpsm, Sbps, Stps, Swsm);
		wrt_tmp();
		sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
	}
	sprintf(Buf, TITLE, Group[n], Group[n]);   wrt_tmp();
	sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O -K >>", FILEP);
	if ( !(Opt & ASD_NPOLE) )
		sprintf(Buf, NOTE, "MEAN");
	else
		sprintf(Buf, NOTE, "a FIXED NORTH POLE");
	wrt_tmp();
	sys_call(6, "gmt pstext ", FILET, MAPTXT, OPTF, " -N -P -O >>", FILEP);
}
#undef MAPTXT
#undef XYT
#undef CNTF
#undef CNTFNS
#undef CNTV
#undef CNTVNS
#undef TITLE
#undef NOTE
