#include <string.h>
#include <stdlib.h>
#include "std.h"

/* fopenr -- Open an Askii file to read and returns a FILE pointer   5/15/88 */
/*		Input of RETURN only returns NULL 			     */

FILE *fopenr(rem, file)
char *rem, *file;
{
	FILE *fp;

	while (inpstr(rem,file,NFILENAME) != 0){
		if ((fp=fopen(file,"r")) == NULL){
			printf("No such file, reenter\n");
			continue;}
		else
			return(fp);
	}
	return(NULL);
}

/* fopenw -- Open Askii file to (over)write, no bakup   9/22/92, 5/15/88 */

FILE *fopenw(rem, file)
char *rem, *file;
{
	FILE *fp;

	while (inpstr(rem,file,NFILENAME) != 0){
		if ( (fp=fopen(file,"r")) != NULL ){
			fclose(fp);
			if ( (fp=fopen(file,"w")) != NULL ){
				printf("An old file %s is opened to overwrite.\n",file);
				if (yorn("OK? (Y or Rtn/N)",1) != 1){
					fclose(fp);   continue; }
			}
			else
				error("fopenw: Error of fopen to overwrite.");
		}
		else {
			if ( (fp=fopen(file,"w")) != NULL )
				printf("A new file %s is opened\n", file);
			else
				error("fopenw: Error of fopen to write");
		}
		return(fp);
	}
	return(NULL);
}

/* fopena -- Open an Askii file to append, or creat to write if not exist, no bakup   082703 */

FILE *fopena(rem, file)
char *rem, *file;
{
	FILE *fp;

	while (inpstr(rem,file,NFILENAME) != 0){
		if ( (fp=fopen(file,"r")) != NULL ){
			fclose(fp);
			if ( (fp=fopen(file,"a")) != NULL ){
				printf("An old file %s is opened to append.\n",file);
				if (yorn("OK? (Y or Rtn/N)",1) != 1){
					fclose(fp);   continue; }
			}
			else
				error("fopena: Error of fopen to append!");
		}
		else {
			if ( (fp=fopen(file,"w")) != NULL )
				printf("A new file %s is opened\n", file);
			else
				error("fopenw: Error of fopen to write");
		}
		return(fp);
	}
	return(NULL);
}

/* rmfile -- remove a file   5/10/97 */

void rmfile(file)
char *file;
{
	char buf[LSIZ_GET];

	strcpy(buf, "rm ");
	strcat(buf, file);
	system(buf);
}
