#include   <stdlib.h>
#include   <string.h>
#include   "std.h"

static char Buf[LSIZ_GET], Token[NARG_GET][TOKSIZ];

/* inpi -- inputs upto seven integers from stdin   0419,1191,0288
	Return:
	    Q   -- returns 0
	    Rtn -- returns -1
	    num -- returns (int)num
*/

int inpi(rem, n, i1, i2, i3, i4, i5, i6, i7)
char *rem;
int n, *i1, *i2, *i3, *i4, *i5, *i6, *i7;
{
	char *ptoken, *delims = " ,\t\n";
	int ni, i;

	if (n > NARG_INP)
		error("inpi: tried to input more than 7!");
	printf("%s ", rem);
	fgets(Buf, LSIZ_INP, stdin);
	if (Buf[0] == '\n') return(-1);
	else if (Buf[0]=='Q' || Buf[0]=='q') return(ZERO);
	i = 0;
	ptoken = strtok(Buf, delims);
	while (ptoken != NULL){
		strcpy(Token[i++], ptoken);
		ptoken = strtok(NULL, delims);
	}
	ni = i;
	if (ni < n){
		i = ni;
		while (i < n){
			printf("? ");
			fgets(Buf, LSIZ_INP, stdin);
			if (Buf[0]=='Q' || Buf[0]=='q') return(ZERO);
			ptoken = strtok(Buf, delims);
			while (ptoken != NULL){
				strcpy(Token[i++], ptoken);
				ptoken = strtok(NULL, delims);
			}
		}
	}
	*i1 = atoi(Token[0]);   if (n == 1)   return(1);
	*i2 = atoi(Token[1]);   if (n == 2)   return(2);
	*i3 = atoi(Token[2]);   if (n == 3)   return(3);
	*i4 = atoi(Token[3]);   if (n == 4)   return(4);
	*i5 = atoi(Token[4]);   if (n == 5)   return(5);
	*i6 = atoi(Token[5]);   if (n == 6)   return(6);
	*i7 = atoi(Token[6]);   return(7);
}

/* inpd -- inputs upto seven doubles from stdin   0419,1190,0288
	Return:
	    Q   -- returns 0
	    Rtn -- returns -1
	    num -- returns double num
*/

int inpd(rem, n, d1, d2, d3, d4, d5, d6, d7)
char *rem;
int n;
double *d1, *d2, *d3, *d4, *d5, *d6, *d7;
{
	char *ptoken, *delims = " ,\t\n";
	int ni, i;

	if (n > NARG_INP)
		error("inpd: tried to input more than 7!");
	printf("%s ", rem);
	fgets(Buf, LSIZ_INP, stdin);
	if (Buf[0] == '\n') return(-1);
	else if (Buf[0]=='Q' || Buf[0]=='q') return(ZERO);
	i = 0;
	ptoken = strtok(Buf, delims);
	while (ptoken != NULL){
		strcpy(Token[i++], ptoken);
		ptoken = strtok(NULL, delims);
	}
	ni = i;
	if (ni < n){
		i = ni;
		while (i < n){
			printf("? ");
			fgets(Buf, LSIZ_INP, stdin);
			if (Buf[0]=='Q' || Buf[0]=='q') return(ZERO);
			ptoken = strtok(Buf, delims);
			while (ptoken != NULL){
				strcpy(Token[i++], ptoken);
				ptoken = strtok(NULL, delims);
			}
		}
	}
	*d1 = atof(Token[0]);   if (n == 1)   return(1);
	*d2 = atof(Token[1]);   if (n == 2)   return(2);
	*d3 = atof(Token[2]);   if (n == 3)   return(3);
	*d4 = atof(Token[3]);   if (n == 4)   return(4);
	*d5 = atof(Token[4]);   if (n == 5)   return(5);
	*d6 = atof(Token[5]);   if (n == 6)   return(6);
	*d7 = atof(Token[6]);   return(7);
}
